from pydantic import BaseModel
from typing import Dict

from models.targets import Targets

class ObjectiveFunction(BaseModel):
  # minimizing tif/tcc target value is only option currently
  # as we add more we can build this out to be more dynamic
  # likely with models representing each objective function type
  tif_targets: Targets
  tcc_targets: Targets
  weight: Dict = {'tif': 1, 'tcc': 1}
